
/* 容器类 */

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 998px) {
    .container {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1380px;
    }
}


.container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

.z-0 { z-index: 0; }
.z-1 { z-index: 1; }
.z-10 { z-index: 10; }
.z-20 { z-index: 20; }
.z-30 { z-index: 30; }
.z-40 { z-index: 40; }
.z-50 { z-index: 50; }
.z-100 { z-index: 100; }
.z-200 { z-index: 200; }
.z-300 { z-index: 300; }
.z-400 { z-index: 400; }
.z-500 { z-index: 500; }
.z-600 { z-index: 600; }
.z-700 { z-index: 700; }
.z-800 { z-index: 800; }
.z-900 { z-index: 900; }
.z-1000 { z-index: 1000; }


.min-70{min-width: 70px;}

.w-0 { width: 0px; }
.w-10 { width: 10px; }
.w-15 { width: 15px; }
.w-18 { width: 18px; }
.w-20 { width: 20px; }
.w-25 { width: 25px; }
.w-28 { width: 28px; }
.w-30 { width: 30px; }
.w-35 { width: 35px; }
.w-40 { width: 40px; }
.w-45 { width: 45px; }
.w-50 { width: 50px; }
.w-55 { width: 55px; }
.w-60 { width: 60px; }
.w-65 { width: 65px; }
.w-70 { width: 70px; }
.w-75 { width: 75px; }
.w-80 { width: 80px; }
.w-85 { width: 85px; }
.w-90 { width: 90px; }
.w-95 { width: 95px; }
.w-100 { width: 100px; }
.w-120 { width: 120px; }
.w1-100 { width: 100%; }


.lh-28 { line-height: 28px; }
.lh-24 { line-height: 24px; }
.lh-20 { line-height: 20px; }



.h-0 {height: 0;}
.h-10 {height: 10;}
.h-18 { height: 18px; }
.h-20 { height: 20px; }
.h-25 { height: 25px; }
.h-28 { height: 28px; }
.h-40 { height: 40px; }
.h-45 { height: 45px; }
.h-50 { height: 50px; }
.h-55 { height: 55px; }
.h-60 { height: 60px; }
.h-70 { height: 70px; }
.h-75 { height: 75px; }
.h-100 { height: 100px; }
.h-120 { height: 120px; }
.h-150 { height: 150px; }
.h-170 { height: 170px; }
.h-190 { height: 190px; }
.h-200 { height: 200px; }
.h-250 { height: 250px; }
.h-260 { height: 260px; }
.h-280 { height: 280px; }
.h-300 { height: 300px; }
.h-330 { height: 330px; }
.h-350 { height: 350px; }
.h-360 { height: 360px; }
.h-365 { height: 365px; }
.h-370 { height: 370px; }
.h-400 { height: 400px; }
.h-450 { height: 450px; }
.h-500 { height: 500px; }
.h-550 { height: 550px; }
.h-600 { height: 600px; }
.hn-30 { height: 30%; }
.hn-70 { height: 70%; }
.hn-100 { height: 100%; }

/* 1. 溢出隐藏 */
.oh { overflow: hidden; }
/* 2. 溢出自动滚动 */
.oa { overflow: auto; }
/* 3. 溢出横向滚动 */
.oxa { overflow-x: auto; }
.oxh { overflow-x: hidden; }
/* 4. 溢出纵向滚动 */
.oya { overflow-y: auto;-webkit-overflow-scrolling: touch; }
.oyh { overflow-y: hidden; }
/* 5. 文字溢出省略号（需配合宽度） */
.ell { overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }
/* 6. 多行文字溢出省略（webkit 内核） */
.ell1 { display: -webkit-box; -webkit-line-clamp: 1; -webkit-box-orient: vertical; overflow: hidden; }
.ell2 { display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; }
.ell3 { display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical; overflow: hidden; }

/* 行类 */
.row {
    display: flex;
    flex-wrap: wrap;
    margin-right: 0px;
    margin-left: 0px;
}
.row-3{
    padding-right: 15px;
    padding-left: 15px;
}
/* 列类 */
.col {
    flex: 1 0 0%;
    padding-right: 15px;
    padding-left: 15px;
}




.w-n100 {width: 100%;}
.w-n90 {width: 90%;}
.w-n80 {width: 80%;}
.w-n75 {width: 75%;}
.w-n70 {width: 70%;}
.w-n65{width: 65%;}
.w-n62{width: 62%;}
.w-n60{width: 60%;}
.w-n50 {width: 50%;}
.w-n40{width: 40%;}
.w-n30 {width: 30%;}
.w-n33 {width: 33.33333333%;}
.w-n35 {width: 35%;}
.w-n26 {width: 26%;}
.w-n25 {width: 25%;}
.w-n24 {width: 24%;}
.w-n23 {width: 23%;}
.w-n20 {width: 20%;}
.w-n17 {width: 17%;}
.w-n16 {width: 16%;}
.w-n15 {width: 15%;}
.w-n14 {width: 14%;}
.w-n13 {width: 13%;}
.w-nauto {width: auto;}
.w-n100vw {width: 100vw;}

/* 固定宽度列 */
/*.col-1 { flex: 0 0 8.33333333%; max-width: 8.33333333%; }*/
/*.col-2 { flex: 0 0 16.66666667%; max-width: 16.66666667%; }*/
/*.col-3 { flex: 0 0 25%; max-width: 25%; }*/
/*.col-4 { flex: 0 0 33.33333333%; max-width: 33.33333333%; }*/
/*.col-5 { flex: 0 0 41.66666667%; max-width: 41.66666667%; }*/
/*.col-6 { flex: 0 0 50%; max-width: 50%; }*/
/*.col-7 { flex: 0 0 58.33333333%; max-width: 58.33333333%; }*/
/*.col-8 { flex: 0 0 66.66666667%; max-width: 66.66666667%; }*/
/*.col-9 { flex: 0 0 75%; max-width: 75%; }*/
/*.col-10 { flex: 0 0 83.33333333%; max-width: 83.33333333%; }*/
/*.col-11 { flex: 0 0 91.66666667%; max-width: 91.66666667%; }*/
/*.col-12 { flex: 0 0 100%; max-width: 100%; }*/
/*.col-15 { flex: 0 0 15%; max-width: 15%; }*/
/*.col-02 { flex: 0 0 20%; max-width: 20%; }*/
/*.col-55 { flex: 0 0 55%; max-width: 55%; }*/
/*.col-60 { flex: 0 0 60%; max-width: 60%; }*/


    
    

.pb-56 { padding-bottom: 56.25%; }/* 16:9*/
.pb-75 { padding-bottom: 75%; }/* 4:3*/
.pb-66 { padding-bottom: 66.666666%; }/* 3:2*/
.pb-100 { padding-bottom: 100%; }/* 1:1*/
.pb-50 { padding-bottom: 50%; }/* 2:1*/
.pb-42 { padding-bottom: 42.857142%; }/* 21:9*/
.pb-178 { padding-bottom: 177.777777%; }/* 9:16*/


/* 四边外边距 */
.m-0 { margin: 0; }
.m-1 { margin: 5px; }
.m-2 { margin: 10px; }
.m-3 { margin: 12px; }
.m-4 { margin: 15px; }


.m-n4 { margin: -4px; }
.m-n5 { margin: -5px; }
.m-n8 { margin: -8px; }
.m-n10 { margin: -10px; }
.m-n15 { margin: -15px; }
.m-n18 { margin: -18px; }
.m-n20 { margin: -20px; }


/* 四边内边距 */
.p-0 { padding: 0; }
.p-5 { padding: 5px; }
.p-6 { padding: 6px; }
.p-8 { padding: 8px; }
.p-10 { padding: 10px; }
.p-12 { padding: 12px; }
.p-15 { padding: 15px; }
.p-20 { padding: 20px; }
.p-25 { padding: 25px; }

.br-0{border-radius: 0px;}
.br-4{border-radius: 4px;}
.br-5{border-radius: 5px;}
.br-8{border-radius: 8px;}
.br-10{border-radius: 10px;}
.br-12{border-radius: 12px;}
.br-50 { border-radius: 50%; }
/*max间距类*/

/* 外边距 */
.mt-0 { margin-top: 0; }
.mt-1 { margin-top: 0.25rem; }
.mt-2 { margin-top: 0.5rem; }
.mt-3 { margin-top: 1rem; }
.mt-4 { margin-top: 1.5rem; }
.mt-5 { margin-top: 3rem; }
.mt-75 { margin-top: 0.75rem; }


.mt-1-1 { margin-top: -0.25rem; }
.mt-2-2 { margin-top: -0.5rem; }
.mt-3-3 { margin-top: -1rem; }
.mt-4-4 { margin-top: -1.5rem; }
.mt-5-5 { margin-top: -3rem; }
.mt-n75 { margin-top: -0.75rem; }

.mb-0 { margin-bottom: 0; }
.mb-1 { margin-bottom: 0.25rem; }
.mb-2 { margin-bottom: 0.5rem; }
.mb-75 { margin-bottom: 0.75rem; }
.mb-3 { margin-bottom: 1rem; }
.mb-4 { margin-bottom: 1.25rem; }
.mb-5 { margin-bottom: 1.5rem; }
.mb-6 { margin-bottom: 3rem; }
.mb-01 { margin-bottom: 0.75rem; }
.mb-02 { margin-bottom: 1.75rem; }
.mb-03 { margin-bottom: 2rem; }
.mb-04 { margin-bottom: 2.25rem; }
.mb-05 { margin-bottom: 2.5rem; }
.mb-06 { margin-bottom: 2.75rem; }
.mb-015 { margin-bottom: 0.15rem; }



.mb-n1 { margin-bottom: -0.25rem; }
.mb-n2 { margin-bottom: -0.5rem; }


.mr-auto{margin-right: auto;}
.mr-0 { margin-right: 0; }
.mr-1 { margin-right: 0.25rem; }
.mr-2 { margin-right: 0.5rem; }
.mr-3 { margin-right: 1rem; }
.mr-4 { margin-right: 1.5rem; }
.mr-5 { margin-right: 3rem; }
.mr-015 { margin-right: 0.15rem; }

.mr-n1 { margin-right: -0.25rem; }
.mr-n2 { margin-right: -0.5rem; }
.mr-n3 { margin-right: -1rem; }
.mr-n4 { margin-right: -1.5rem; }
.mr-n5 { margin-right: -2rem; }
.mr-n6 { margin-right: -2.5rem; }
.mr-n7 { margin-right: -3rem; }

.mr-b2{margin-right: 5%; }
.mr-b3{margin-right: 10%; }
.mr-b4{margin-right: 15%; }

.ml-auto{margin-left: auto;}
.ml-0 { margin-left: 0; }
.ml-1 { margin-left: 0.25rem; }
.ml-2 { margin-left: 0.5rem; }
.ml-3 { margin-left: 1rem; }
.ml-4 { margin-left: 1.5rem; }
.ml-5 { margin-left: 3rem; }

.ml-m1 { margin-left: -0.25rem; }
.ml-m2 { margin-left: -0.5rem; }
.ml-m3 { margin-left: -1rem; }
.ml-m4 { margin-left: -1.5rem; }
.ml-m5 { margin-left: -2rem; }
.ml-m6 { margin-left: -2.5rem; }
.ml-m7 { margin-left: -3rem; }

/* 内边距 */
.pt-0 { padding-top: 0; }
.pt-1 { padding-top: 0.25rem; }
.pt-2 { padding-top: 0.5rem; }
.pt-3 { padding-top: 0.75rem; }
.pt-4 { padding-top: 1rem; }
.pt-5 { padding-top: 1.25rem; }
.pt-6 { padding-top: 1.5rem; }
.pt-7 { padding-top: 1.75rem; }
.pt-8 { padding-top: 2rem; }
.pt-9 { padding-top: 2.25rem; }
.pt-10 { padding-top: 2.5rem; }
.pt-11 { padding-top: 2.75rem; }
.pt-12 { padding-top: 3rem; }

.pb-0 { padding-bottom: 0; }
.pb-1 { padding-bottom: 0.25rem; }
.pb-2 { padding-bottom: 0.5rem; }
.pb-3 { padding-bottom: 0.75rem; }
.pb-4 { padding-bottom: 1rem; }
.pb-5 { padding-bottom: 1.25rem; }
.pb-6 { padding-bottom: 1.5rem; }
.pb-7 { padding-bottom: 1.75rem; }
.pb-8 { padding-bottom: 2rem; }
.pb-9 { padding-bottom: 2.25rem; }
.pb-10 { padding-bottom: 2.5rem; }
.pb-11 { padding-bottom: 2.75rem; }
.pb-12 { padding-bottom: 3rem; }

.pr-0 { padding-right: 0; }
.pr-1 { padding-right: 0.25rem; }
.pr-2 { padding-right: 0.5rem; }
.pr-3 { padding-right: 1rem; }
.pr-4 { padding-right: 1.5rem; }
.pr-5 { padding-right: 3rem; }

.pl-0 { padding-left: 0; }
.pl-1 { padding-left: 0.25rem; }
.pl-2 { padding-left: 0.5rem; }
.pl-3 { padding-left: 1rem; }
.pl-4 { padding-left: 1.5rem; }
.pl-5 { padding-left: 3rem; }

.bs-0{box-shadow: var(--box-shadow);}
.bs-1{box-shadow: 0 0px 4px rgba(0, 0, 0, 0.1);}
.bs-2{box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);}

.sect-1{padding-top: 1rem;padding-bottom: 1rem;}
.sect-2{padding-top: 2rem;padding-bottom: 2rem;}
/* 边框工具类 */
.border-bottom {border-bottom: 1px solid #eee;}
.border-right {border-right: 1px solid #eee;}
.border-left {border-left: 1px solid #eee;}
.border-top {border-top: 1px solid #eee;}

.fs-0 { font-size: 0.75rem; }
.fs-1 { font-size: 0.85rem; }
.fs-2 { font-size: 0.9rem; }
.fs-3 { font-size: 0.95rem; }
.fs-4 { font-size: 1rem; }
.fs-5 { font-size: 1.15rem; }
.fs-6 { font-size: 1.25rem; }
.fs-7 { font-size: 1.5rem; }
.fs-8 { font-size: 1.75rem; }
.fs-9 { font-size: 2rem; }
.fs-10 { font-size: 2.25rem; }
.fs-11 { font-size: 2.5rem; }
.fs-12 { font-size: 2.75rem; }
.fs-13 { font-size: 3rem; }


.fw-bold { font-weight:bold}
.fw-400 { font-weight: 400; }
.fw-500 { font-weight: 500; }
.fw-600 { font-weight: 600; }
.fw-700 { font-weight: 700; }
.fw-800 { font-weight: 800; }
.fw-900 { font-weight: 900; }


.l-0 { left: 0px; }
.l-5 { left: 5px; }
.l-6 { left: 6px; }
.l-7 { left: 7px; }
.l-8 { left: 8px; }
.l-9 { left: 9px; }
.l-20 { left: 20px; }
.l-10 { left: 10px; }
.l-50 { left: 50%; }
.l-55 { left: 55%; }

.b-0 { bottom: 0px; }
.b-5 { bottom: 5px; }
.b-6 { bottom: 6px; }
.b-7 { bottom: 7px; }
.b-8 { bottom: 8px; }
.b-9 { bottom: 9px; }
.b-10 { bottom: 10px; }

.t-0 { top: 0px; }
.t-5 { top: 5px; }
.t-6 { top: 6px; }
.t-7 { top: 7px; }
.t-8 { top: 8px; }
.t-9 { top: 9px; }
.t-10 { top: 10px; }

.r-0 { right: 0px; }
.r-5 { right: 5px; }
.r-6 { right: 6px; }
.r-7 { right: 7px; }
.r-8 { right: 8px; }
.r-9 { right: 9px; }
.r-10 { right: 10px; }
.r-20 { right: 10px; }

.t-n5 { top: -5px; }
.t-n6 { top: -6px; }
.t-n7 { top: -7px; }
.t-n8 { top: -8px; }
.t-n9 { top: -9px; }
.t-n10 { top: -10px; }

.r-n5 { right: -5px; }
.r-n6 { right: -6px; }
.r-n7 { right: -7px; }
.r-n8 { right: -8px; }
.r-n9 { right: -9px; }
.r-n10 { right: -10px; }

.pos-rel { position: relative; }
.pos-abs { position: absolute; }
.pos-fixed { position: fixed; }
.pos-sticky { position: sticky; }
.pos-static { position: static; }
.poi-events{ pointer-events: auto; }

.abs-center {position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%);}

/* Object-fit 工具类 */
.of-contain { object-fit: contain; }
.of-cover { object-fit: cover; }
.of-fill { object-fit: fill; }
.of-none { object-fit: none; }
.of-scale-down { object-fit: scale-down; }

/*.g-1{margin: 0 -8px;}*/
/*.g-1{margin: 0 -8px;}*/

.bai-bg{
    background: var(--max-2-bg);
}
.bai-mk{
    background: var(--max-1-card);
}

.bai-wz{
    color: #fff;
}


.d-none {
    display: none;
}
.d-flex {
    display: flex;
}
.d-block{
    display: block;
}

.badge{border-radius:4px;font-size:0.75rem;border:none;display:inline-block}

/*max对齐类*/
/* 水平对齐 */
.text-left { text-align: left; }
.text-right { text-align: right; }
.text-center { text-align: center; }
.ju-center{justify-content: center;}
.ju-right{justify-content: right;}
.ju-left{justify-content: left;}
.ju-center-bet{justify-content: space-between;}
.align-center{align-items: center;}
.ju-center{display: flex;justify-content: center;align-items: center;}
/* 垂直对齐 */
.align-top { vertical-align: top; }
.align-middle { vertical-align: middle; }
.align-bottom { vertical-align: bottom; }
.flex-wrap{display: flex;flex-wrap: wrap;}
.flex-1 {flex: 1;}
.flex-column{flex-direction: column;}
/*max背景色类*/

/* 单色背景 */
.bg-primary{background: linear-gradient(135deg, #1342e9 0%, #2b6aff 50%, #277cff 100%);}/*蓝色*/
/*.bg-cerise{background: linear-gradient(135deg, #1342e9 0%, #2b6aff 50%, #277cff 100%);}*/

.bg-secondary { background-color: #6c757d; }/*灰色*/
.bg-gray{background: #ececec;}/*浅灰色*/
.bg-success {background: linear-gradient( -125deg,#0fe332 0%, #0fad5f 100%); }/*绿色*/
.bg-danger{ background-color: #d40c0c; }/*红色*/
.bg-warning { background-color: #ffc107; }/*橙色*/
.bg-info { background-color: #17a2b8; }/*墨绿*/
.bg-light { background-color: #f8f9fa; }/*白色*/
.bg-dark { background-color: #343a40; }/*黑色*/
.bg-white { background-color: #fff; }/*白色*/
.bg-light-white { background-color: #f6f6f6; }/*浅白色*/
.bg-transparent { background-color: transparent; }

.text-blue   { color: #2563eb; }      /* 蓝 */
.text-sky    { color: #0050ff; }      /* 亮 sky 蓝 */

.text-indigo { color: #6366f1; }      /* 浅紫 */
.text-slate  { color: #334155; }      /* 浅蓝黑 */
.text-gray  { color: #666; }         /* 浅灰 */
.text-light-red{ color: #807f7f; }   /* 淡灰 */
.text-red    { color: #b91c1c; }      /* 暗红 */
.text-red-2    { color: #ec2828; }      /* 暗红 */
.text-red-3    { color: #ec2828; }      /* 亮红 */
.text-cyan{    color: #36d399;} /*青绿色*/
.text-green  { color: #16a34a; }      /* 绿 */
.text-yellow { color: #eab308; }      /* 黄 */
.text-orange { color: #f97316; }      /* 浅橙 */
.text-orange-2 { color: #ff4757; }      /* 深橙 */
.text-orange-3 { color: #ff4757; }      /* 红橙 */
.text-purple { color: #a855f7; }      /* 紫 */
.text-success { color: #24b92b; }     /* 绿 */
.text-success-2 { color: #0fcb18; }     /* 亮绿 */
.text-pink   { color: #ec4899; }      /* 粉 */
.text-pink-2   { color: #fb36b8; }      /* 亮粉 */
.text-light-gray{ color: #262525; }  /* 浅黑 */
.text-black      { color: #000; }
.text-white      { color: #fff; }
.text-gold      { color: #9f2d00; } /* 暗金色*/


/*.btn-group :last-child{*/
/*    margin-right: 0!important;*/
/*}*/
.bg-danger-info {background: linear-gradient(135deg, #EF5350, #E53935);}

.bg-danger-info:hover{
    /*filter: brightness(.95);*/
    
}
.bg-lanzi{
    background: linear-gradient( -125deg,#280093e0 0%, #3354d2 100%);
    color: #fff;
}


.p-05{padding:0 5px 0 5px;}
.p-0-5{padding:0px 5px;}
.p-0-8{padding:0px 8px;}
.p-1-4{padding:1px 4px;}
.p-2-4{padding:2px 4px;}
.p-2-5{padding:2px 5px;}
.p-2-6{padding:2px 6px;}
.p-2-10{padding:2px 10px;}
.p-3-8{padding:3px 8px;}
.p-5-4{padding:5px 4px;}
.p-5-8{padding:5px 8px;}
.p-5-12{padding:5px 12px;}
.p-6-12{padding:6px 12px;}
.p-6-15{padding:6px 15px;}
.p-8-10{padding:8px 10px;}
.p-8-12{padding:8px 12px;}
.p-8-15{padding:8px 15px;}
.p-10-15{padding:10px 15px;}
.p-5-15{padding:5px 15px;}
.p-8-35{padding:8px 35px;}
.p-8-48{padding:8px 48px;}
.p-12-15{padding:12px 15px;}
.p-12-32{padding:0.75rem 2rem;}

/*.badge-1{padding-right:5px;padding-left:5px;border-radius:4px;font-size:0.75rem;display:inline-block}*/
/*.badge-2{padding:3px 8px;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/
/*.badge-3{padding:2px 5px;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/
/*.badge-4{padding:8px 12px;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/
/*.badge-5{padding:5px 8px;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/
/*.badge-12{padding:0.75rem 2rem;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/
/*.badge-5-4{padding:5px 4px;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/
/*.badge-5-15{padding:5px 15px;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/
/*.badge-8-35{padding:8px 35px;border-radius:4px;font-size:0.75rem;border:none;display:inline-block}*/

.img-15{width:15px;height:15px;line-height:15px;vertical-align:middle;background-size:contain!important}
.img-18{width:18px;height:18px;line-height:18px;vertical-align:middle;background-size:contain!important}
.img-20{width:20px;height:20px;line-height:20px;vertical-align:middle;background-size:contain!important}
.img-25{width:25px;height:25px;line-height:25px;vertical-align:middle;background-size:contain!important}
.img-35{width:35px;height:35px;line-height:35px;vertical-align:middle;background-size:contain!important}
.img-40{width:40px;height:40px;line-height:40px;vertical-align:middle;background-size:contain!important}

.card-1{
    margin-bottom: 1.25rem;
    padding: 20px;
    background: var(--max-2-bg);
    border-radius: 0.25rem;
    position: relative;
}
/*.badge-4{*/
/*    padding: 8px 12px 8px 12px;*/
/*    border-radius: 4px;*/
/*    font-size: 0.75rem;*/
/*    border: none;*/
/*}*/

/*max按钮类*/
.btn-tran{
    transition: all 0.3s;
}
.btn-tran:hover{
    transform: translateY(-2px);
}

/* 按钮样式 */
.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    user-select: none;
    border: none;
    font-size: 0.85rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    color: #fff;
    padding: 8px 15px;
    border-radius: 5px;
    transition: all 0.15s;
}
/*蓝色*/
.btn-primary {
    color: #fff;
    /*background-color: #007bff;*/
    background: linear-gradient(135deg, #1342e9 0%, #2b6aff 50%, #277cff 100%);
    border-color: #007bff;
}
.btn-primary2{
    background: linear-gradient(135deg, #2554ff 0%, #277cff 100%);
}
.btn-primary:hover,.btn-primary2:hover {
    color: #fff;
    filter: var(--bright);
    /*background-color: #0069d9;*/
    border-color: #0062cc;
}

/*天空蓝*/
.btn-light-primary {
    color: #fff;
    background: #0683ff;
    border-color: #0683ff;
}

.btn-light-primary:hover {
    color: #fff;
    filter: var(--bright);
    /*background-color: #0069d9;*/
    border-color: #0062cc;
}
/*灰色*/
.btn-secondary {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;
}

.btn-secondary:hover {
    color: #fff;
    background-color: #5a6268;
    border-color: #545b62;
}
.btn-succe{
    color: #fff;
    /*background: linear-gradient( -125deg,#12a96c 0%, #37e14b 100%);*/
    /*background: linear-gradient(135deg, #17bd12 0%, #0fb521 50%, #14b827 100%);*/
    background: linear-gradient( -125deg,#17cf35 0%, #0fad5f 100%);
}
.btn-succe:hover{
    /*opacity: 0.9;*/
    filter: var(--bright);
    color: #fff;  
}

/*紫色*/
.btn-purple {
    color: #fff;
    background-color: #ad0bf9;
    border-color: #6f42c1;
}

.btn-purple:hover {
    color: #fff;
    background-color: #8f22ffe0;
    border-color: #523091;
}

/*绿色*/
.btn-success {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}

.btn-success:hover {
    color: #fff;
    background-color: #218838;
    border-color: #1e7e34;
}

/*紫红*/
.btn-zihong{
    color: #fff;
    background: linear-gradient( -125deg,#cf3017e0 0%, #9d0fad 100%);
}
/*红色*/
.btn-danger {
    color: #fff;
    /*background: linear-gradient(135deg, #e91313 0%, #e44444 50%, #ff5454 100%);*/
    background-color: #c11127;
    border-color: #d6293e;
}

.btn-danger:hover {
    color: #fff;
    background-color: #b40a1e;
    border-color: #ab2132;
}

/*橙色*/
.btn-orange{
    color: #fff;
    background-color: #ff261b;
    border-color: #ff261b;
}

.btn-orange:hover {
    background-color: #d7150c;
    border-color: #d7150c;
}
/*黑色*/
.btn-warning {
    color: #fff;
    background-color: #0f2027;
    /*background: linear-gradient(45deg, #0f2027 0%, #203a43 50%, #2c5364 100%);*/
    border-color: #ffc107;
}

.btn-warning:hover {
    background-color: #494848;
    border-color: #d39e00;
}

.btn-info {
    color: #fff;
    background-color: #17a2b8;
    border-color: #17a2b8;
}

.btn-info:hover {
    color: #fff;
    background-color: #138496;
    border-color: #117a8b;
}
/*白色*/
.btn-light {
    color: #212529;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
}

.btn-light:hover {
    color: #212529;
    background-color: #e2e6ea;
    border-color: #dae0e5;
}
.opacity:hover{
    opacity: 0.8;
    
}
.filter:hover{
    filter: brightness(.9);
}

.btn-dark {
    color: #fff;
    background-color: #000;
    border-color: #343a40;
}

.btn-dark:hover {
    color: #fff;
    background-color: #23272b;
    border-color: #1d2124;
}

.btn-link {
    font-weight: 400;
    color: #007bff;
    text-decoration: none;
}

.btn-link:hover {
    color: #0056b3;
    text-decoration: underline;
}



/* ===== 白灰色 ===== */
.bd-whiting       { border:2px solid #d7d7d7; background:#fff; color:#000; }
.bd-whiting:hover { background:#f8fafc; color:#000; }
/* ===== 蓝色 ===== */
.bd-blue       { border:1px solid #2163e8; background:#fff; color:#2163e8; }
.bd-blue:hover { background:#2163e8; color:#fff; }

/* ===== 蓝色 ===== */
.bd-blue-2       { border:1px solid #155cf9; background:#155cf9; color:#fff; }
.bd-blue-2:hover { background:#0e4fd1; }


/* ===== 线条蓝 ===== */
.bd-light-blue       { border:1px solid #2163e8; background:#fff; color:#2163e8; }
.bd-light-blue:hover { background:#f3f9ff; }


.bd-blue.active{background:#2163e8; color:#fff; }
/* ===== 红色 ===== */
.bd-red        { border:2px solid #f5222d; background:#fff; color:#f5222d; }
.bd-red:hover  { background:#f5222d; color:#fff; }

/* ===== 绿色 ===== */
.bd-green      { border:2px solid #52c41a; background:#fff; color:#52c41a; }
.bd-green:hover{ background:#52c41a; color:#fff; }

/* ===== 橙色 ===== */
.bd-orange     { border:2px solid #fa8c16; background:#fff; color:#fa8c16; }
.bd-orange:hover{background:#fa8c16; color:#fff; }

/* ===== 紫色 ===== */
.bd-purple     { border:2px solid #722ed1; background:#fff; color:#722ed1; }
.bd-purple:hover{background:#722ed1; color:#fff; }

/* ===== 青色 ===== */
.bd-cyan       { border:2px solid #13c2c2; background:#fff; color:#13c2c2; }
.bd-cyan:hover { background:#13c2c2; color:#fff; }

/* ===== 粉色 ===== */
.bd-pink       { border:2px solid #eb2f96; background:#fff; color:#eb2f96; }
.bd-pink:hover { background:#eb2f96; color:#fff; }

/* ===== 黄色 ===== */
.bd-yellow     { border:2px solid #fadb14; background:#fff; color:#fadb14; }
.bd-yellow:hover{background:#fadb14; color:#fff; }

/* ===== 灰色 ===== */
.bd-gray       { border:2px solid #8c8c8c; background:#fff; color:#8c8c8c; }
.bd-gray:hover { background:#8c8c8c; color:#fff; }

/* ===== 黑色 ===== */
.bd-dark       { border:2px solid #262626; background:#fff; color:#262626; }
.bd-dark:hover { background:#262626; color:#fff; }


/* ========== 响应式规则 ========== */



/* 1列布局 (100%) */
.col-1-1 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 100%;
}

/* 2列布局 (50%) */
.col-1-2 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 50%;
}

/* 3列布局 (33.3333%) */
.col-1-3 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 33.333333%;
}

/* 4列布局 (25%) */
.col-1-4 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 25%;
}

/* 5列布局 (20%) */
.col-1-5 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 20%;
}

/* 6列布局 (16.6667%) */
.col-1-6 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 16.666667%;
}

/* 7列布局 (14.2857%) */
.col-1-7 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 14.285714%;
}

/* 8列布局 (12.5%) */
.col-1-8 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 12.5%;
}

/* 中等屏幕 (992px-1199px) */


/* 小屏幕 (768px-991px) */

.col-xg-4 > [class^="col-1-"] {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 25%;
    padding: 8px;
}


@media (min-width: 599px) and (max-width: 769px){
    .col-1-1, .col-1-2, .col-1-3, .col-1-4,.col-1-5,.col-1-6,.col-1-7,.col-1-8,.col-xg-4 > [class^="col-1-"]{
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 50%;
    }
}

@media (min-width: 769px) and (max-width: 998px){
    .col-1-1, .col-1-2, .col-1-4,.col-1-5,.col-1-6,.col-1-7,.col-1-8,.col-xg-4 > [class^="col-1-"]{
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 33.333333%;
    }
}
@media (min-width: 998px) and (max-width: 1200px){
   .col-1-4,.col-1-5, .col-1-6{
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 25%;
    }
    .col-1-7, .col-1-8 {
        
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 16.666667%;
    }
}
@media (min-width: 1200px){

    .col-1-5{
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 20%;
    } 
    .col-1-6 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 16.666667%;
    }
    .col-1-7 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 14.285714%;
    }
    
    /* 8列布局 (12.5%) */
    .col-1-8 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 12.5%;
    }


 
}
/* 自定义列宽 */

@media (max-width: 598px) {
.mobile-cols-1 > [class*="col-"] {
    
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 100%;
}
.mobile-cols-2 > [class*="col-"] {
    
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 50%;
}
.mobile-cols-3 > [class*="col-"] {
    
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 33.333333%;
}
.sj-jinz{
    display: none!important;
}
.sect-1{
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    }
}
@media (min-width: 598px) {
    .pc-jinz {
        display: none;
    }
}
@media (max-width: 300px) {
.mobile-cols-2 > [class*="col-"] {
    
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 100%;
    }
}
@media (max-width: 998px) {
.cols-0 {
    
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 100%;
}
.col-3 { flex: 0 0 100%; max-width: 100%; }
}
@media (max-width: 768px) {
.cols-1 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: 50%;
    }
}
